Module java.desktop
Package javax.swing.text.html

## Class HTML.UnknownTag

- java.lang.Object
- - javax.swing.text.html.HTML.Tag
  - - javax.swing.text.html.HTML.UnknownTag

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  HTML

    public static class HTML.UnknownTag
    extends HTML.Tag
    implements Serializable

Class represents unknown HTML tag.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.text.html.HTML.Tag

`A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, CAPTION, CENTER, CITE, CODE, COMMENT, CONTENT, DD, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, FRAME, FRAMESET, H1, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, IMPLIED, INPUT, ISINDEX, KBD, LI, LINK, MAP, MENU, META, NOFRAMES, OBJECT, OL, OPTION, P, PARAM, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TD, TEXTAREA, TH, TITLE, TR, TT, U, UL, VAR`

### Constructor Summary

Constructors
`UnknownTag​(String id)` Creates a new `UnknownTag` with the specified `id`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)` Compares this object to the specified object.
`int` `hashCode()` Returns the hash code which corresponds to the string for this tag.

### Methods declared in class javax.swing.text.html.HTML.Tag

`breaksFlow, isBlock, isPreformatted, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownTag

    public UnknownTag​(String id)

Creates a new `UnknownTag` with the specified `id`.

Parameters:
  `id` - the id of the new tag

### Method Detail

#### hashCode

    public int hashCode()

Returns the hash code which corresponds to the string for this tag.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object.
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

#### equals

    public boolean equals​(Object obj)

Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `UnknownTag` object with the same name.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to compare this tag with
Returns:
  `true` if the objects are equal; `false` otherwise
See Also:
  `Object.hashCode()`, `HashMap`